Package org.drinkless.tdlib

# Class TdApi.AuthenticationCodeInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuthenticationCodeInfo

Enclosing class:
  `TdApi`

public static class TdApi.AuthenticationCodeInfo extends TdApi.Object
Information about the authentication code that was sent.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.AuthenticationCodeType`
  `nextType`
  The way the next code will be sent to the user; may be null.
  `String`
  `phoneNumber`
  A phone number that is being authenticated.
  `int`
  `timeout`
  Timeout before the code can be re-sent, in seconds.
  `TdApi.AuthenticationCodeType`
  `type`
  The way the code was sent to the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationCodeInfo()`
  Information about the authentication code that was sent.
  `AuthenticationCodeInfo(String phoneNumber, TdApi.AuthenticationCodeType type, TdApi.AuthenticationCodeType nextType, int timeout)`
  Information about the authentication code that was sent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### phoneNumber

    public String phoneNumber
    A phone number that is being authenticated.

  - ### type

    public TdApi.AuthenticationCodeType type
    The way the code was sent to the user.

  - ### nextType

    @Nullable public TdApi.AuthenticationCodeType nextType
    The way the next code will be sent to the user; may be null.

  - ### timeout

    public int timeout
    Timeout before the code can be re-sent, in seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuthenticationCodeInfo

    public AuthenticationCodeInfo()
    Information about the authentication code that was sent.

  - ### AuthenticationCodeInfo

    public AuthenticationCodeInfo(String phoneNumber, TdApi.AuthenticationCodeType type, TdApi.AuthenticationCodeType nextType, int timeout)
    Information about the authentication code that was sent.
    Parameters:
      `phoneNumber` - A phone number that is being authenticated.
      `type` - The way the code was sent to the user.
      `nextType` - The way the next code will be sent to the user; may be null.
      `timeout` - Timeout before the code can be re-sent, in seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR